---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterheap004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x21E0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50F30, symBinAddr: 0x7210, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52E70, symBinAddr: 0x9150, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53260, symBinAddr: 0x9540, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54200, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54210, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50B70, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50B74, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50B78, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50CC0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50D78, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50D7C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50D80, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50D84, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50D88, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50D90, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50DA0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50DA8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50DB0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50DB8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50DC0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50DC8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL15objectDescCount, symObjAddr: 0x50E10, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94FA, offset: 0x94FA, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50E18, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x9513, offset: 0x9513, size: 0x8, addend: 0x0, symName: __ZL15callbackAborted, symObjAddr: 0x50E20, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x952C, offset: 0x952C, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x50E28, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9575, offset: 0x9575, size: 0x8, addend: 0x0, symName: __ZL13objectDescArr, symObjAddr: 0x50E30, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9593, offset: 0x9593, size: 0x8, addend: 0x0, symName: __ZL43numberOfDeallocatedFromCallbacksDescriptors, symObjAddr: 0x50E38, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x95AC, offset: 0x95AC, size: 0x8, addend: 0x0, symName: __ZL19deallocatedFlagsArr, symObjAddr: 0x50E40, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x95C5, offset: 0x95C5, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50E48, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x95DE, offset: 0x95DE, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50E50, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x9630, offset: 0x9630, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xE20, symSize: 0x80 }
  - { offsetInCU: 0x96C5, offset: 0x96C5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xD70, symSize: 0xB0 }
  - { offsetInCU: 0x9720, offset: 0x9720, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xC70, symSize: 0x100 }
  - { offsetInCU: 0x99B3, offset: 0x99B3, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xEA0, symSize: 0xC0 }
  - { offsetInCU: 0x9A05, offset: 0x9A05, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xF60, symSize: 0x220 }
  - { offsetInCU: 0x9BEA, offset: 0x9BEA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1180, symSize: 0xA0 }
  - { offsetInCU: 0x9C9D, offset: 0x9C9D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1220, symSize: 0x110 }
  - { offsetInCU: 0x9D93, offset: 0x9D93, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1330, symSize: 0x150 }
  - { offsetInCU: 0x9EF0, offset: 0x9EF0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1480, symSize: 0x30 }
  - { offsetInCU: 0x9F99, offset: 0x9F99, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x14B0, symSize: 0x150 }
  - { offsetInCU: 0xA191, offset: 0xA191, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1600, symSize: 0x160 }
  - { offsetInCU: 0xA451, offset: 0xA451, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1760, symSize: 0x4A0 }
  - { offsetInCU: 0xA6C4, offset: 0xA6C4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1C00, symSize: 0x1B0 }
  - { offsetInCU: 0xA8DF, offset: 0xA8DF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1DB0, symSize: 0xA0 }
  - { offsetInCU: 0xA9DA, offset: 0xA9DA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1E50, symSize: 0x20 }
  - { offsetInCU: 0xAA11, offset: 0xAA11, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1E70, symSize: 0x20 }
  - { offsetInCU: 0xAA48, offset: 0xAA48, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1E90, symSize: 0x20 }
  - { offsetInCU: 0xAB21, offset: 0xAB21, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x1EB0, symSize: 0x40 }
  - { offsetInCU: 0xABD8, offset: 0xABD8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1EF0, symSize: 0x1A0 }
  - { offsetInCU: 0xAEF4, offset: 0xAEF4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2090, symSize: 0x150 }
  - { offsetInCU: 0xB0B1, offset: 0xB0B1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2480, symSize: 0x1D0 }
  - { offsetInCU: 0xB3AD, offset: 0xB3AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2650, symSize: 0x80 }
  - { offsetInCU: 0xB476, offset: 0xB476, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x26D0, symSize: 0x6C0 }
  - { offsetInCU: 0xBFEC, offset: 0xBFEC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA7C0, symBinAddr: 0x3F50, symSize: 0xB0 }
  - { offsetInCU: 0xC063, offset: 0xC063, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2D90, symSize: 0x70 }
  - { offsetInCU: 0xC11F, offset: 0xC11F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2E00, symSize: 0xA0 }
  - { offsetInCU: 0xC21E, offset: 0xC21E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2EA0, symSize: 0x40 }
  - { offsetInCU: 0xC314, offset: 0xC314, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2EE0, symSize: 0x2B0 }
  - { offsetInCU: 0xC6BA, offset: 0xC6BA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3190, symSize: 0xC0 }
  - { offsetInCU: 0xC800, offset: 0xC800, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3250, symSize: 0x10 }
  - { offsetInCU: 0xC8C2, offset: 0xC8C2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3260, symSize: 0x240 }
  - { offsetInCU: 0xCBAB, offset: 0xCBAB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x34A0, symSize: 0x10 }
  - { offsetInCU: 0xCC08, offset: 0xCC08, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x34B0, symSize: 0x280 }
  - { offsetInCU: 0xCEE1, offset: 0xCEE1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FA0, symBinAddr: 0x3730, symSize: 0x10 }
  - { offsetInCU: 0xCF3E, offset: 0xCF3E, size: 0x8, addend: 0x0, symName: _heapObjectCallbackForFirstIteration, symObjAddr: 0x9FB0, symBinAddr: 0x3740, symSize: 0xF0 }
  - { offsetInCU: 0xD04F, offset: 0xD04F, size: 0x8, addend: 0x0, symName: _heapObjectCallbackForSecondIteration, symObjAddr: 0xA0A0, symBinAddr: 0x3830, symSize: 0x120 }
  - { offsetInCU: 0xD17F, offset: 0xD17F, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1C0, symBinAddr: 0x3950, symSize: 0x600 }
  - { offsetInCU: 0xD81E, offset: 0xD81E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA870, symBinAddr: 0x4000, symSize: 0x36A }
...
